$(function (){
  window.revoke = function (){
    // 点击撤销 撤销被激活元素的更改更改
    var initData = getEleData().data
    $('#revoke').on('click', function () {
      
      var phoneActive = $('.edit-area-phone .tmp-editable.active')    // 手机中被激活的元素
      var editActive = $('.edit-area-element .edit-area-element-Ele.active .editEle')    // 编辑区被激活的元素
      var dataQuery = editActive.attr('data-query')
      var dataIndex = editActive.attr('data-index')
      for (key in initData) {
        initData[key].forEach(function (item){
          if (item.query === dataQuery) {
            console.log(item)
            if(dataIndex) {
              console.log($($(dataQuery)[dataIndex]))
              switch(item.editType) {
                case 'bgC':
                  $($(dataQuery)[dataIndex]).css('background', item.bgC)
                  editActive.css('background', item.bgC)
                  break;
                case 'bgImg':
                  $($(dataQuery)[dataIndex]).css('background', 'url('+item.bgImg+')')
                  editActive.css('background', 'url(' + item.bgImg + ')')
                  break;
                case 'color':
                  $($(dataQuery)[dataIndex]).css('color', item.color)
                  editActive.css('color', item.color)
                  break;
                case 'bdC':
                  $($(dataQuery)[dataIndex]).css('border-color', item.bdC)
                  editActive.css('border-color', item.bdC)
                  break;
                case 'img':
                  $($(dataQuery)[dataIndex]).css('src', item.img)
                  editActive.css('src', item.img)
                  break;
                case 'text':
                  $($(dataQuery)[dataIndex]).text(item.text)
                  editActive.text(item.text)
                  break;
              }
            } else {
              switch (item.editType) {
                case 'bgC':
                  $(dataQuery).css('background', item.bgC)
                  editActive.css('background', item.bgC)
                  break;
                case 'bgImg':
                  console.log($(dataQuery), item.bgImg)
                  $(dataQuery).css('background', 'url(' + item.bgImg + ')')
                  editActive.attr(item.bgImg)
                  break;
                case 'color':
                  $(dataQuery).css('color', item.color)
                  editActive.css('color', item.color)
                  break;
                case 'bdC':
                  $(dataQuery).css('border-color', item.bdC)
                  editActive.css('border-color', item.bdC)
                  break;
                case 'img':
                  $(dataQuery).attr('src', item.img)
                  editActive.attr('src', item.img)
                  break;
                case 'text':
                  $(dataQuery).text(item.text)
                  editActive.text(item.text)
                  break;
              }
            }
          }
        })
      }
    })
  }
})